Package org.gdal.ogr

## Class FieldDomain

- java.lang.Object
- - org.gdal.ogr.FieldDomain

-     public class FieldDomain
      extends java.lang.Object

  Definition of a field domain. A field domain is a set of constraints that apply to one or several fields. This is a concept found in File Geodatabase or GeoPackage (using the schema extension) for example. A field domain can be:
  - OGRCodedFieldDomain: an enumerated list of (code, value) tuples.
  - OGRRangeFieldDomain: a range constraint (min, max).
  - OGRGlobFieldDomain: a glob expression.
  Since:
    GDAL 3.3

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `GetDescription()` |
    `byte[]` | `GetDescriptionAsByteArray()` |
    `int` | `GetDomainType()` |
    `java.util.HashMap<java.lang.String,​java.lang.String>` | `GetEnumeration()` | Get the enumeration as (code, value) pairs.
    `int` | `GetFieldSubType()` |
    `int` | `GetFieldType()` |
    `java.lang.String` | `GetGlob()` |
    `byte[]` | `GetGlobAsByteArray()` |
    `double` | `GetMaxAsDouble()` |
    `java.lang.String` | `GetMaxAsString()` |
    `int` | `GetMergePolicy()` |
    `double` | `GetMinAsDouble()` |
    `java.lang.String` | `GetMinAsString()` |
    `java.lang.String` | `GetName()` |
    `byte[]` | `GetNameAsByteArray()` |
    `int` | `GetSplitPolicy()` |
    `int` | `hashCode()` |
    `boolean` | `IsMaxInclusive()` |
    `boolean` | `IsMinInclusive()` |
    `void` | `SetMergePolicy​(int policy)` |
    `void` | `SetSplitPolicy​(int policy)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### GetName

          public java.lang.String GetName()

    - #### GetNameAsByteArray

          public byte[] GetNameAsByteArray()

    - #### GetDescription

          public java.lang.String GetDescription()

    - #### GetDescriptionAsByteArray

          public byte[] GetDescriptionAsByteArray()

    - #### GetFieldType

          public int GetFieldType()

    - #### GetFieldSubType

          public int GetFieldSubType()

    - #### GetDomainType

          public int GetDomainType()

    - #### GetSplitPolicy

          public int GetSplitPolicy()

    - #### SetSplitPolicy

          public void SetSplitPolicy​(int policy)

    - #### GetMergePolicy

          public int GetMergePolicy()

    - #### SetMergePolicy

          public void SetMergePolicy​(int policy)

    - #### GetEnumeration

          public java.util.HashMap<java.lang.String,​java.lang.String> GetEnumeration()

      Get the enumeration as (code, value) pairs. This is the same as the C++ method OGRCodedFieldDomain::GetEnumeration()
      Returns:
        the (code, value) pairs, or nullptr in case of error.
      Since:
        Java bindings 3.8.0

    - #### GetMinAsDouble

          public double GetMinAsDouble()

    - #### GetMinAsString

          public java.lang.String GetMinAsString()

    - #### IsMinInclusive

          public boolean IsMinInclusive()

    - #### GetMaxAsDouble

          public double GetMaxAsDouble()

    - #### GetMaxAsString

          public java.lang.String GetMaxAsString()

    - #### IsMaxInclusive

          public boolean IsMaxInclusive()

    - #### GetGlob

          public java.lang.String GetGlob()

    - #### GetGlobAsByteArray

          public byte[] GetGlobAsByteArray()